IBM WebSphere Portal Themes Unspecified XSS (PM90118)

2014-04-07T00:00:00
ID WEBSPHERE_PORTAL_CVE-2013-0587.NASL
Type nessus
Reporter Tenable
Modified 2015-01-23T00:00:00

Description

The version of WebSphere Portal on the remote host is affected by a cross-site scripting vulnerability. An attacker could execute arbitrary code in a user's browser.

                                        
                                            #
# (C) Tenable Network Security, Inc.
#

include("compat.inc");

if (description)
{
  script_id(73383);
  script_version("$Revision: 1.4 $");
  script_cvs_date("$Date: 2015/01/23 22:03:56 $");

  script_cve_id("CVE-2013-0587");
  script_bugtraq_id(61752);
  script_osvdb_id(96214);

  script_name(english:"IBM WebSphere Portal Themes Unspecified XSS (PM90118)");
  script_summary(english:"Checks for installed patches.");

  script_set_attribute(attribute:"synopsis", value:
"The remote Windows host has web portal software installed that is
affected by a cross-site scripting vulnerability.");
  script_set_attribute(attribute:"description", value:
"The version of WebSphere Portal on the remote host is affected by a
cross-site scripting vulnerability. An attacker could execute
arbitrary code in a user's browser.");
  script_set_attribute(attribute:"see_also", value:"http://www-01.ibm.com/support/docview.wss?uid=swg21646618");
  script_set_attribute(attribute:"solution", value:
"IBM has published Interim Fix PM90118. This fix is included in 7.0.0.2
CF24 and 8.0.0.1 CF07. Refer to IBM's advisory for more information.");
  script_set_cvss_base_vector("CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N");
  script_set_cvss_temporal_vector("CVSS2#E:F/RL:OF/RC:C");
  script_set_attribute(attribute:"exploitability_ease", value:"Exploits are available");
  script_set_attribute(attribute:"exploit_available", value:"true");
  script_cwe_id(20, 74, 79, 442, 629, 711, 712, 722, 725, 750, 751, 800, 801, 809, 811, 864, 900, 928, 931, 990);

  script_set_attribute(attribute:"vuln_publication_date", value:"2013/08/12");
  script_set_attribute(attribute:"patch_publication_date", value:"2013/08/10");
  script_set_attribute(attribute:"plugin_publication_date", value:"2014/04/07");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"cpe:/a:ibm:websphere_portal");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_family(english:"CGI abuses : XSS");

  script_copyright(english:"This script is Copyright (C) 2014-2015 Tenable Network Security, Inc.");

  script_dependencies("websphere_portal_installed.nbin");
  script_require_keys("installed_sw/IBM WebSphere Portal");
  exit(0);
}

include("websphere_portal_version.inc");

websphere_portal_check_version(
  ranges:make_list(
    "7.0.0.0, 7.0.0.2, CF24",
    "8.0.0.0, 8.0.0.1, CF07"
  ),
  fix:"PM90118",
  severity:SECURITY_WARNING,
  xss:TRUE
);